summaryrefslogtreecommitdiff
path: root/packaging/ubuntu-lunar/wallet-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/ubuntu-lunar/wallet-build.sh')
-rw-r--r--packaging/ubuntu-lunar/wallet-build.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/packaging/ubuntu-lunar/wallet-build.sh b/packaging/ubuntu-lunar/wallet-build.sh
new file mode 100644
index 0000000..6d807be
--- /dev/null
+++ b/packaging/ubuntu-lunar/wallet-build.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+
+mkdir -p /build/wallet
+cd /build/wallet
+
+# Fetch source
+rm -rf *
+git clone git://git.taler.net/wallet-core
+
+cd wallet-core
+git checkout $1
+./bootstrap
+
+cd packages/taler-wallet-cli
+
+dpkg-buildpackage -rfakeroot -b -uc -us
+
+cd ../taler-harness
+dpkg-buildpackage -rfakeroot -b -uc -us
+
+cd ../
+
+tar uvf ../../../packages.tgz *.deb